package com.yc.education.service.impl;

import com.yc.education.mapper.SizesMapper;
import com.yc.education.model.Sizes;
import com.yc.education.service.SizesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SizesServiceImpl extends BaseService<Sizes> implements SizesService {

	@Autowired
	private SizesMapper sizesMapper;

	@Override
	public List<Sizes> findSizesByPid(Integer pid) {
		return sizesMapper.findSizesByPid(pid);
	}

	@Override
	public Sizes findSizeByParam(String size, String name, String prints, String materials, Integer pid) {
		return sizesMapper.findSizeByParam(size,name,prints,materials,pid);
	}


	
	
}
